<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>gov.va.med.repositories</groupId>
	<artifactId>fpds</artifactId>
	<version>6.0.1-SNAPSHOT</version>
	<name>fpds</name>
	<description>Federating Patient Data Service</description>
	<packaging>pom</packaging>
	<modules>
		<module>fpds-ws</module>
		<module>fpds-ejb</module>
		<module>fpds-ear</module>
	</modules>
	<!-- 
	<scm>
		<url>https://URL             .DNS   :PORT/ccm:vhaislshaha_rb_HDR_app_fpds_main_stream_rws</url>
		<connection>scm:jazz:https://URL             .DNS   :PORT/ccm:vhaislshaha_rb_HDR_app_fpds_main_stream_rws</connection>
		<developerConnection>scm:jazz:https://URL             .DNS   :PORT/ccm:vhaislshaha_rb_HDR_app_fpds_main_stream_rws</developerConnection>
	</scm>
	-->
	
	<scm>
        <url>${env.SCM_URL}:${env.APP_FPDS_RB_RWS}</url>
        <connection>scm:jazz:${env.SCM_URL}:${env.APP_FPDS_RB_RWS}</connection>
        <developerConnection>scm:jazz:${env.SCM_URL}:${env.APP_FPDS_RB_RWS}</developerConnection>
    </scm>
	
	
	<properties>
		<modules.test.groups>checkintest</modules.test.groups>
		<org.springframework.version>4.2.7.RELEASE</org.springframework.version>
		<build.reports.outputsite>file://server.fo-slc.URL       :/usr/share/tomcat6/webapps/siteReport/fpds/</build.reports.outputsite>
		<build.reports.url>http://server.fo-slc.URL       :8080/siteReport/fpds/</build.reports.url>
		<powermock.version>1.6.4</powermock.version>
		<repos.lib.groupid>gov.va.med.repos.lib</repos.lib.groupid>
		<apache.cxf.version>3.1.3</apache.cxf.version>
		<weblogic.version>12.1.2.0</weblogic.version>
		<junit-ext.version>4.0.0</junit-ext.version>
		<common.version>6.0.0</common.version>
		<log4j-ext.version>5.0.0</log4j-ext.version>
		<testharness.version>6.0.0</testharness.version>
		<hapi-ext.version>6.0.0</hapi-ext.version>
		<common-ws.version>3.0.0</common-ws.version>	
		<cds.version>3.16.0.0</cds.version>
	</properties>
	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>${project.groupId}</groupId>
				<artifactId>fpds-ws</artifactId>
				<version>${project.version}</version>
				<type>war</type>
			</dependency>
			<dependency>
				<groupId>${project.groupId}</groupId>
				<artifactId>fpds-ejb</artifactId>
				<version>${project.version}</version>
				<type>ejb</type>
			</dependency>
			<dependency>
				<groupId>${project.groupId}</groupId>
				<artifactId>fpds-ear</artifactId>
				<version>${project.version}</version>
				<type>ear</type>
			</dependency>
			<dependency>
				<groupId>gov.va.med.cds</groupId>
				<artifactId>cds-client</artifactId>
				<version>${cds.version}</version>
			</dependency>
			<dependency>
				<groupId>${repos.lib.groupid}</groupId>
				<artifactId>log4j-ext</artifactId>
				<version>${log4j-ext.version}</version>
			</dependency>
			<dependency>
				<groupId>${repos.lib.groupid}</groupId>
				<artifactId>junit-ext</artifactId>
				<version>${junit-ext.version}</version>
				<scope>test</scope>
			</dependency>
			<dependency>
				<groupId>${repos.lib.groupid}</groupId>
				<artifactId>common</artifactId>
				<version>${common.version}</version>
			</dependency>
			<dependency>
				<groupId>${repos.lib.groupid}</groupId>
				<artifactId>testharness</artifactId>
				<version>${testharness.version}</version>
				<scope>test</scope>
				<classifier>tests</classifier>
			</dependency>
			<dependency>
				<groupId>${repos.lib.groupid}</groupId>
				<artifactId>hapi-ext</artifactId>
				<version>${hapi-ext.version}</version>
			</dependency>
			<dependency>
				<groupId>gov.va.med.cds.ws</groupId>
				<artifactId>common-ws</artifactId>
				<version>${common-ws.version}</version>
			</dependency>
			<dependency>
				<groupId>org.aspectj</groupId>
				<artifactId>aspectjweaver</artifactId>
				<version>1.8.6</version>
			</dependency>
			<dependency>
				<groupId>commons-logging</groupId>
				<artifactId>commons-logging</artifactId>
				<version>1.2</version>
			</dependency>
			<dependency>
				<groupId>javax.jws</groupId>
				<artifactId>jsr181-api</artifactId>
				<version>1.0-MR1</version>
			</dependency>
			<dependency>
				<groupId>javax.ws.rs</groupId>
				<artifactId>jsr311-api</artifactId>
				<version>1.1-ea</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-core</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-beans</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-aop</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-context</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-context-support</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-web</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-webmvc</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>cglib</groupId>
				<artifactId>cglib-nodep</artifactId>
				<version>3.2.4</version>
			</dependency>
			<dependency>
				<groupId>aopalliance</groupId>
				<artifactId>aopalliance</artifactId>
				<version>1.0</version>
			</dependency>
			<dependency>
				<groupId>org.mockito</groupId>
				<artifactId>mockito-all</artifactId>
				<version>1.10.19</version>
				<scope>test</scope>
			</dependency>
			<dependency>
				<groupId>org.easymock</groupId>
				<artifactId>easymock</artifactId>
				<version>3.4</version>
			</dependency>
			<dependency>
				<groupId>org.easymock</groupId>
				<artifactId>easymockclassextension</artifactId>
				<version>3.2</version>
			</dependency>
			<dependency>
				<groupId>weblogic</groupId>
				<artifactId>wlfullclient</artifactId>
				<version>${weblogic.version}</version>
				<scope>test</scope>
			</dependency>
			<dependency>
				<groupId>xerces</groupId>
				<artifactId>xercesImpl</artifactId>
				<version>2.11.0</version>
			</dependency>
			<dependency>
				<groupId>xml-apis</groupId>
				<artifactId>xml-apis</artifactId>
				<!-- Don't upgrade to version 2.0.2 it's a non-standard version -->
				<version>1.4.01</version>
			</dependency>
			<dependency>
				<groupId>junit</groupId>
				<artifactId>junit</artifactId>
				<version>4.12</version>
			</dependency>
			<dependency>
				<groupId>dom4j</groupId>
				<artifactId>dom4j</artifactId>
				<version>1.6.1-PATCH01</version>
			</dependency>
			<!-- CXF 3.1.3 Library Bundle : Start -->
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-core</artifactId>
				<version>${apache.cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-transports-http</artifactId>
				<version>${apache.cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-frontend-simple</artifactId>
				<version>${apache.cxf.version}</version>
			</dependency>
			<dependency>
        		<groupId>org.apache.cxf</groupId>
        		<artifactId>cxf-rt-rs-client</artifactId>
        		<version>${apache.cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-frontend-jaxrs</artifactId>
				<version>${apache.cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-frontend-jaxws</artifactId>
				<version>${apache.cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-wsdl</artifactId>
				<version>${apache.cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-bindings-soap</artifactId>
				<version>${apache.cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-bindings-xml</artifactId>
				<version>${apache.cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-rs-extension-providers</artifactId>
				<version>${apache.cxf.version}</version>
			</dependency>
			<!-- related to uddi look up -->
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-ws-policy</artifactId>
				<version>${apache.cxf.version}</version>
				<exclusions>
					<exclusion>
						<groupId>wsdl4j</groupId>
						<artifactId>wsdl4j</artifactId>
					</exclusion>
				</exclusions>
			</dependency>
			<dependency>
  				<groupId>org.apache.cxf</groupId>
  				<artifactId>cxf-rt-rs-security-xml</artifactId>
  				<version>${apache.cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.ws.xmlschema</groupId>
				<artifactId>xmlschema-core</artifactId>
				<version>2.0.3</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-databinding-jaxb</artifactId>
				<version>${apache.cxf.version}</version>
			</dependency>
			<!-- CXF 3.1.3 Library Bundle : End -->
			<!-- CXF Dependencies : Start -->
			<dependency>
				<groupId>org.ow2.asm</groupId>
				<artifactId>asm</artifactId>
				<version>5.0.3</version>
			</dependency>
			<dependency>
				<groupId>wsdl4j</groupId>
				<artifactId>wsdl4j</artifactId>
				<version>1.6.2</version>
			</dependency>
			<dependency>
				<groupId>javax.ws.rs</groupId>
				<artifactId>javax.ws.rs-api</artifactId>
				<version>2.0.1</version>
			</dependency>
						
			<!-- CXF Dependencies : End -->
			<!-- The below jars are essential for CXF clients to look up UDDI -->
			<dependency>
				<groupId>com.sun.xml.bind</groupId>
				<artifactId>jaxb-impl</artifactId>
				<version>2.2.11</version>
			</dependency>
			<dependency>
				<groupId>com.sun.xml.bind</groupId>
				<artifactId>jaxb-core</artifactId>
				<version>2.2.11</version>
			</dependency>
			<dependency>
				<groupId>org.apache.neethi</groupId>
				<artifactId>neethi</artifactId>
				<version>3.0.3</version>
			</dependency>

			<dependency>
				<groupId>jaxm-api</groupId>
				<artifactId>jaxm-api</artifactId>
				<version>5.1</version>
				<scope>runtime</scope>
			</dependency>
			<dependency>
				<groupId>saaj-api</groupId>
				<artifactId>saaj-api</artifactId>
				<version>1.3</version>
				<scope>provided</scope>
			</dependency>
			<dependency>
				<groupId>org.codehaus.woodstox</groupId>
				<artifactId>woodstox-core-asl</artifactId>
				<version>4.4.1</version>
				<exclusions>
					<exclusion>
						<groupId>javax.xml.stream</groupId>
						<artifactId>stax-api</artifactId>
					</exclusion>
				</exclusions>
			</dependency>
			<dependency>
				<groupId>org.codehaus.woodstox</groupId>
				<artifactId>stax2-api</artifactId>
				<version>3.1.4</version>
			</dependency>
			<!-- End -->
		</dependencies>
	</dependencyManagement>
	<build>
		<extensions>
			<extension>
				<groupId>org.apache.maven.wagon</groupId>
				<artifactId>wagon-webdav</artifactId>
				<version>1.0-beta-2</version>
			</extension>
		</extensions>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.1</version>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-resources-plugin</artifactId>
				<version>2.6</version>
				<configuration>
					<encoding>UTF-8</encoding>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-jar-plugin</artifactId>
				<version>2.3.1</version>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-release-plugin</artifactId>
				<version>2.5</version>
				<configuration>
					<preparationGoals>clean install</preparationGoals>
					<checkModificationExcludes>
						<checkModificationExclude>**/fpds/fpds-ear/target</checkModificationExclude>
						<checkModificationExclude>**/fpds/fpds-ear/target/soapui</checkModificationExclude>
						<checkModificationExclude>**/fpds/fpds-ear/target/soapui/hermes-config.xml</checkModificationExclude>
						<checkModificationExclude>**/fpds/fpds-ear/target/soapui/soapui-settings.xml</checkModificationExclude>
						<checkModificationExclude>**/fpds/fpds-ear/target/soapui/template</checkModificationExclude>
						<checkModificationExclude>**/fpds/fpds-ear/target/soapui/template/FPDS-NONVAMEDS-soapui-project.xml</checkModificationExclude>
						<checkModificationExclude>**/fpds/fpds-ear/target/soapui/template/FPDS-PGD-soapui-project.xml</checkModificationExclude>
						<checkModificationExclude>**/fpds/fpds-ear/target/soapui/template/FPDS-PUBSUB-soapui-project.xml</checkModificationExclude>
						<checkModificationExclude>**/fpds/fpds-ear/target/soapui/template/FPDS-FTP-soapui-project.xml</checkModificationExclude>
						<checkModificationExclude>**/fpds/fpds-ear/target/soapui/template/FPDS-FtP-TiuHl7-Write-soapui-project.xml</checkModificationExclude>
						<checkModificationExclude>**/fpds/fpds-ear/target/test-classes</checkModificationExclude>
						<checkModificationExclude>**/fpds/fpds-ejb/target</checkModificationExclude>
						<checkModificationExclude>**/fpds/fpds-ejb/target/test-classes</checkModificationExclude>
						<checkModificationExclude>**/fpds/fpds-ws/target</checkModificationExclude>
						<checkModificationExclude>**/fpds/fpds-ws/target/test-classes</checkModificationExclude>
						<checkModificationExclude>**/fpds/resources</checkModificationExclude>
						<checkModificationExclude>**/fpds/resources/properties</checkModificationExclude>
						<checkModificationExclude>**/fpds/resources/properties/fpds.properties</checkModificationExclude>
					</checkModificationExcludes>
				</configuration>
			</plugin>
			<plugin>
				<groupId>com.fortify.ps.maven.plugin</groupId>
				<artifactId>sca-maven-plugin</artifactId>
				<version>4.30</version>
			</plugin>
			<!-- added by Ashit Shah on 01/09/2015 to run release build with RTC -->
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-scm-plugin</artifactId>
				<version>1.9.1</version>
				<dependencies>
					<dependency>
						<groupId>org.apache.maven.scm</groupId>
						<artifactId>maven-scm-provider-jazz</artifactId>
						<version>1.9.1</version>
					</dependency>
					<dependency>
						<groupId>org.apache.maven.scm</groupId>
						<artifactId>maven-scm-api</artifactId>
						<version>1.9.1</version>
					</dependency>
					<dependency>
						<groupId>org.apache.maven.scm</groupId>
						<artifactId>maven-scm-client</artifactId>
						<version>1.9.1</version>
					</dependency>
				</dependencies>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-surefire-plugin</artifactId>
				<version>2.12.4</version>
				<configuration>
					<systemPropertyVariables>
						<fpds.run.properties.path>${fpds.run.properties.path}</fpds.run.properties.path>
						<fpds.test.groups>${fpds.test.groups}</fpds.test.groups>
						<java.security.policy>${java.security.policy}</java.security.policy>
						<DSKey.store>${DSKey.store}</DSKey.store>
						<java.security.auth.login.config>${java.security.auth.login.config}</java.security.auth.login.config>
					</systemPropertyVariables>
					<argLine>-Xmx2048m</argLine>
					<disableXmlReport>false</disableXmlReport>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-ejb-plugin</artifactId>
				<version>2.5.1</version>
				<configuration>
					<ejbVersion>3.0</ejbVersion>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-war-plugin</artifactId>
				<version>2.1</version>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-ear-plugin</artifactId>
				<version>2.4.2</version>
			</plugin>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>exec-maven-plugin</artifactId>
				<version>1.2.1</version>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-antrun-plugin</artifactId>
				<version>1.3</version>
			</plugin>
			<plugin>
				<groupId>com.smartbear.soapui</groupId>
				<artifactId>soapui-maven-plugin</artifactId>
				<version>5.1.1</version>
			</plugin>
		</plugins>
	</build>
	<distributionManagement>
		<repository>
			<id>internal</id>
			<url>http://server.fo-slc.URL       :8081/nexus/content/repositories/internal</url>
		</repository>
		<snapshotRepository>
			<id>snapshots</id>
			<url>http://server.fo-slc.URL       :8081/nexus/content/repositories/snapshots</url>
		</snapshotRepository>
		<site>
			<id>bob-website</id>
			<url> ${build.reports.outputsite}/<!-- ${project.version} -->
			</url>
		</site>
	</distributionManagement>
	<repositories>
		<repository>
			<id>internal</id>
			<name>Internal Repository</name>
			<url>http://server.fo-slc.URL       :8081/nexus/content/repositories/internal</url>
			<releases>
				<enabled>true</enabled>
			</releases>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
		</repository>
		<repository>
			<id>snapshots</id>
			<name>Snapshots</name>
			<url>http://server.fo-slc.URL       :8081/nexus/content/repositories/snapshots</url>
			<releases>
				<enabled>false</enabled>
			</releases>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
		</repository>
	</repositories>
</project>
